io.agora.rtc

## Enum Constants.QualityType

- java.lang.Object
- - java.lang.Enum<Constants.QualityType>
  - - io.agora.rtc.Constants.QualityType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.QualityType>
  Enclosing class:
    Constants

      public static enum Constants.QualityType
      extends java.lang.Enum<Constants.QualityType>

  The network quality types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QUALITY_BAD` 4: Users cannot communicate smoothly.
    `QUALITY_DETECTING` 8: Detecting the network quality.
    `QUALITY_DOWN` 6: Users cannot communicate at all.
    `QUALITY_EXCELLENT` 1: The quality is excellent.
    `QUALITY_GOOD` 2: The quality is quite good, but the bitrate may be slightly lower than excellent.
    `QUALITY_POOR` 3: Users can feel the communication slightly impaired.
    `QUALITY_UNKNOWN` Deprecated. This member is deprecated. Use `QUALITY_UNSUPPORTED` or `QUALITY_DETECTING` instead.
    `QUALITY_UNSUPPORTED` 7: (For future use) The network quality cannot be detected.
    `QUALITY_VBAD` 5: Users can barely communicate.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the quality type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.QualityType` | `fromInt(int value)` Converts an integer value to its corresponding QualityType enum constant.
    `int` | `getValue()` Gets the integer value of the network quality type.
    `static Constants.QualityType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.QualityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUALITY_UNKNOWN

          @Deprecated
          public static final Constants.QualityType QUALITY_UNKNOWN

      Deprecated. This member is deprecated. Use `QUALITY_UNSUPPORTED` or `QUALITY_DETECTING` instead.
      0: The network quality is unknown.

    - #### QUALITY_EXCELLENT

          public static final Constants.QualityType QUALITY_EXCELLENT

      1: The quality is excellent.

    - #### QUALITY_GOOD

          public static final Constants.QualityType QUALITY_GOOD

      2: The quality is quite good, but the bitrate may be slightly lower than excellent.

    - #### QUALITY_POOR

          public static final Constants.QualityType QUALITY_POOR

      3: Users can feel the communication slightly impaired.

    - #### QUALITY_BAD

          public static final Constants.QualityType QUALITY_BAD

      4: Users cannot communicate smoothly.

    - #### QUALITY_VBAD

          public static final Constants.QualityType QUALITY_VBAD

      5: Users can barely communicate.

    - #### QUALITY_DOWN

          public static final Constants.QualityType QUALITY_DOWN

      6: Users cannot communicate at all.

    - #### QUALITY_UNSUPPORTED

          public static final Constants.QualityType QUALITY_UNSUPPORTED

      7: (For future use) The network quality cannot be detected.

    - #### QUALITY_DETECTING

          public static final Constants.QualityType QUALITY_DETECTING

      8: Detecting the network quality.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the quality type

  - ### Method Detail

    - #### values

          public static Constants.QualityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.QualityType c : Constants.QualityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.QualityType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the network quality type.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.QualityType fromInt(int value)

      Converts an integer value to its corresponding QualityType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding QualityType, or null if the value is not found.